document.getElementById('loginForm').addEventListener('submit', function(e) {
    e.preventDefault();

    const username = document.getElementById('username').value;
    const password = document.getElementById('password').value;

    const data = {
        username: username,
        password: password
    };

    // Show spinner
    document.getElementById('spinner').style.display = 'block';

    fetch('authenticate.php', {
        method: 'POST',
        headers: {
            'Content-Type': 'application/json'
        },
        body: JSON.stringify(data)
    })
        .then(response => response.json())
        .then(data => {
            document.getElementById('response').innerText = data.message;
            // Hide spinner
            document.getElementById('spinner').style.display = 'none';
            if (data.success) {
                window.location.href = '../'; // Redirect on successful login
            }
        })
        .catch((error) => {
            document.getElementById('response').innerText = 'Error: ' + error;
            // Hide spinner
            document.getElementById('spinner').style.display = 'none';
        });
});
